%define shortname tagpy

Name:		python-tagpy
Version:	0.94.8
Release:	%mkrel 2

Summary:	Python bindings for TagLib to read and write music files tags
License:	MIT
Group:		Development/Python
Url:		http://news.tiker.net/software/tagpy
Source0:	http://news.tiker.net/news.tiker.net/download/software/tagpy/tagpy-%{version}.tar.gz
%{py_requires -d}
BuildRequires:	python-setuptools
BuildRequires:	taglib-devel
BuildRequires:	boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.

%prep
%setup -q -n %{shortname}-%{version}

%build
./configure.py --boost-python-libname=boost_python-mt
CFLAGS="%{optflags} -I%{_includedir}/taglib" %{__python} setup.py build

%install
python setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README test/*.py test/tagrename
%{py_platsitedir}/%{shortname}/
%{py_platsitedir}/_%{shortname}.so
%{py_platsitedir}/%{shortname}-%{version}-py%{pyver}.egg-info


%changelog

* Mon Nov 28 2011 fwang <fwang> 0.94.8-2.mga2
+ Revision: 173623
- rebuild for new boost

* Wed Sep 07 2011 tv <tv> 0.94.8-1.mga2
+ Revision: 140046
- fix configure call
- new release
- no useless macros (rm, python)
- drop patch 1, source 1 (license is in sources)

  + jquelin <jquelin>
    - make sure cauldron version is higher

  + fwang <fwang>
    - rebuild for new boost

* Wed Jun 29 2011 jquelin <jquelin> 0.94.5-1.mga2
+ Revision: 115623
- imported package python-tagpy

